## org.dom4j
Interface CharacterData

All Superinterfaces:
  Cloneable, Node

All Known Subinterfaces:
  CDATA, Comment, Text

All Known Implementing Classes:
  AbstractCDATA, AbstractCharacterData, AbstractComment, AbstractText, FlyweightCDATA, FlyweightComment, FlyweightText

public interface CharacterData
extends Node

`CharacterData` is a marker interface for character based nodes such as the `CDATA`,`Comment` and `Text` nodes.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Field Summary

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Method Summary
`void` `appendText(String text)` Appends the given text to this nodes text value.

Methods inherited from interface org.dom4j.Node
`accept, asXML, asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeType, getNodeTypeName, getParent, getPath, getPath, getStringValue, getText, getUniquePath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf, write`

Method Detail

### appendText

    public void appendText(String text)

  Appends the given text to this nodes text value. Calling this method is equivalent of the code `node.setText(node.getText() + text)` but allows for possible implementation optimisations (such as a text based node storing a StringBuffer internally

  Parameters:
    `text` - the text to append

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.